<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myVehicleDocumentRequirementLabel" jhiTranslate="mpmApp.vehicleDocumentRequirement.home.createOrEditLabel">Create or edit a Vehicle Document Requirement</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!vehicleDocumentRequirement.idRequirement">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="vehicleDocumentRequirement.idRequirement" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vehicleDocumentRequirement.note" for="field_note">Note</label>
            <input type="text" class="form-control" name="note" id="field_note"
                [(ngModel)]="vehicleDocumentRequirement.note"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vehicleDocumentRequirement.bbn" for="field_bbn">Bbn</label>
            <input currencyMask class="form-control" name="bbn" id="field_bbn"
                [(ngModel)]="vehicleDocumentRequirement.bbn"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vehicleDocumentRequirement.otherCost" for="field_otherCost">Other Cost</label>
            <input currencyMask class="form-control" name="otherCost" id="field_otherCost"
                [(ngModel)]="vehicleDocumentRequirement.otherCost"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vehicleDocumentRequirement.sur" for="field_sur">Sur</label>
            <select class="form-control" id="field_sur" name="sur" [(ngModel)]="vehicleDocumentRequirement.surId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="salesUnitRequirementOption.idRequirement" *ngFor="let salesUnitRequirementOption of salesunitrequirements; trackBy: trackSalesUnitRequirementById">{{salesUnitRequirementOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
